Get imports
GET
/merchants/{merchantCode}/imports
const url = 'https://import.shopgate.io/v1/merchants/example/imports?limit=100&offset=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://import.shopgate.io/v1/merchants/example/imports?limit=100&offset=0'Get all imports
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Query Parameters
Section titled “Query Parameters”filters
string
Filter string. Supported filters: ref, status
limit
integer
The limit of entries of one page
offset
integer
The offset where to start the page
sort
string
Sorting of the products (sequenceId only works with filter catalogCode)
Responses
Section titled “Responses”List of imports
Media typeapplication/json
object
imports
Array<object>
object
createDate
string
endDate
string
entityFiles
Array<object>
object
context
string | null
created
required
object
dispatched
integer
failed
integer
succeeded
integer
deleted
required
object
dispatched
integer
failed
integer
succeeded
integer
entity
required
string
importStrategy
string
scopes
string
skipped
integer
total
integer
updated
required
object
dispatched
integer
failed
integer
succeeded
integer
ref
string
scriptFinishDate
string
source
string
startDate
string
status
string
meta
object
limit
number
offset
number
totalItemCount
number
Example
{ "imports": [ { "createDate": "2021-02-09T17:59:37.803Z", "endDate": "2021-02-09T17:59:37.803Z", "entityFiles": [ { "context": "catalog1", "created": { "dispatched": 3, "failed": 3, "succeeded": 3 }, "deleted": { "dispatched": 3, "failed": 3, "succeeded": 3 }, "entity": "product", "importStrategy": "full", "scopes": null, "skipped": 1, "total": 10, "updated": { "dispatched": 3, "failed": 3, "succeeded": 3 } } ], "ref": "87eff434-4f89-4d83-a8c6-117e10817034", "scriptFinishDate": "2021-02-09T17:59:37.803Z", "source": "aName", "startDate": "2021-02-09T17:59:37.803Z", "status": "finished" } ], "meta": { "limit": 10, "offset": 0, "totalItemCount": 1 }}Validation error
Media typeapplication/json
object
code
string
error
object
code
Machine readable error code
string
message
required
Human readable error code
string
paramName
The parameter-field, that failed to validate, like “userId”
string
paramValue
The value, that was sent, like “xxx”
results
object
errors
Array<object>
object
code
Machine readable error code
string
description
string
message
Human readable error code
string
path
Array<string>
warnings
array
message
string
Example
{ "error": { "code": "SCHEMA_VALIDATION_FAILED", "results": { "errors": [ { "code": "ENUM_MISMATCH", "description": "human readable error code" } ] } }}Forbidden error
Media typeapplication/json
object
code
required
string
message
required
string
Example
{ "code": "Forbidden", "message": "No access to merchant 1"}
